import { IStringifiable } from 'thaw-common-utilities.ts';
export declare abstract class ExceptionBase extends Error implements IStringifiable {
    readonly str: string;
    readonly line: number;
    readonly column: number;
    protected constructor(typeName: string, message: string, line?: number, column?: number);
    toString(): string;
}
//# sourceMappingURL=exception-base.d.ts.map